Update of /cvsroot/fink/dists/10.3/unstable/crypto/finkinfo
In directory 
sc8-pr-cvs5.sourceforge.net:/tmp/cvs-serv2059/10.3/unstable/crypto/finkinfo

Modified Files:
        libapache2-ssl-mod-svn.info svn-ssl-javahl.info 
        svn-ssl-swig-pm.info svn-ssl-swig-py.info svn-ssl.info 
        svn-ssl.patch 
Removed Files:
        svn-ssl-0.33.1-11.info svn-ssl-1.1.4-11.info 
Log Message:
New upstream version of subversion (1.4.2)

The following has been changed in the packages:
- Now linking against neon 0.26.2 (needed patching of configure.in)
- Added --disable-dependency tracking
- Fixed some validator errors in split-offs
- Added svn-swig-py25 on 10.4
- Now using InfoTest for everything except main svn package
- Refering to statically linked svnadmin package for bdb upgrades
- Streamlined the regression tests for svn.info
- Removed obsolete packages on the 10.3 (svnadmin can now be used instead)


Index: libapache2-ssl-mod-svn.info
===================================================================
RCS file: 
/cvsroot/fink/dists/10.3/unstable/crypto/finkinfo/libapache2-ssl-mod-svn.info,v
retrieving revision 1.14
retrieving revision 1.15
diff -u -d -r1.14 -r1.15
--- libapache2-ssl-mod-svn.info 3 Aug 2006 19:31:25 -0000       1.14
+++ libapache2-ssl-mod-svn.info 8 Nov 2006 00:05:31 -0000       1.15
@@ -1,38 +1,33 @@
 Package: libapache2-ssl-mod-svn
-Version: 1.2.3
-Revision: 14
+Version: 1.4.2
+Revision: 1
 Description: Subversion - mod_svn (with SSL)
-DescPackaging: <<
- Although this package has a BSD license, it is marked Restrictive since
- it BuildDepends on a Restrictive package (neon24-ssl).
-<<
-License: Restrictive
+License: BSD
 Maintainer: Christian Schaffner <[EMAIL PROTECTED]>
 
 # Dependencies:
-Depends: apache2-ssl (>= 2.0.58-1), apr-ssl-common (>= 0.9.12-1), 
svn-ssl-shlibs (>= %v-11)
-BuildDepends: fink (>= 0.21.1-1), svn-ssl-dev (>= %v-11), apr-ssl (>= 
0.9.12-1), apr-ssl-common (>= 0.9.12-1), db43-ssl, gdbm3, expat (>= 1.95.6-2), 
libxml2 (>= 2.5.10-12), neon24-ssl (>= 0.24.7-11), openldap23-dev, 
cyrus-sasl2-dev (>= 2.1.15-23), openssl097-dev, libiconv-dev (>= 1.9.1-11), 
apache2-ssl-dev (>= 2.0.58-1), gettext-bin, gettext-tools, libgettext3-dev, 
io-string-pm, libtool14 (>= 1.5.10-1), autoconf2.5, automake1.9
+Depends: apache2-ssl (>= 2.0.58-1), apr-ssl-common (>= 0.9.12-1), 
svn-ssl-shlibs (>= %v-1)
+BuildDepends: fink (>= 0.24.12-1), svn-ssl-dev (>= %v-1), apr-ssl (>= 
0.9.12-1), apr-ssl-common (>= 0.9.12-1), db43-ssl, gdbm3, expat (>= 1.95.6-2), 
libxml2 (>= 2.5.10-12), neon26, openldap23-dev, cyrus-sasl2-dev (>= 2.1.15-23), 
openssl097-dev, libiconv-dev (>= 1.9.1-11), apache2-ssl-dev (>= 2.0.58-1), 
gettext-bin, gettext-tools, libgettext3-dev, io-string-pm, libtool14 (>= 
1.5.10-1), autoconf (>= 2.60-1), automake1.9
 Conflicts: svn-client-ssl (<= 0.26.0-2), apache2 (<< 2.0.47-1)
 
 # Unpack Phase:
-Source: http://subversion.tigris.org/tarballs/subversion-%v.tar.bz2
-Source-MD5: a14bc6590241b6e5c2ff2b354cc184a1
+Source: http://subversion.tigris.org/downloads/subversion-%v.tar.bz2
+Source-MD5: edebb06afb3266d09e75f728a8259677
 
 # Patch Phase:
-Patch: svn-ssl.patch
-PatchScript: perl -pi -e 's;\[5\-9\];\\($&\\|[0-9]\\{2,\\}\\);' configure.in
+PatchFile: svn-ssl.patch
+PatchFile-MD5: 78a6c8f6362fa505a3079fcd5f8e660c
+PatchScript: <<
+ sed 's|@FINKPREFIX@|%p|g' < %{PatchFile} | patch -p1
+ perl -pi.bak -e  's| 0\.26\.1| 0.26.1  0.26.2|' configure.in
+<<
 
 # Compile Phase:
-ConfigureParams: --libexecdir='${prefix}/lib/svn' 
--mandir='${prefix}/share/man' --infodir='${prefix}/share/info' --with-neon=%p 
--with-apr=%p --with-apr-util=%p --enable-shared --with-apxs=%p/sbin/apxs 
--without-apache --disable-mod-activation --without-jdk --disable-javahl 
--with-jikes=no --disable-swig-bindings --without-swig --without-python 
--without-perl --without-ruby
+ConfigureParams: --libexecdir='${prefix}/lib/svn' 
--mandir='${prefix}/share/man' --infodir='${prefix}/share/info' --with-neon=%p 
--with-apr=%p --with-apr-util=%p --enable-shared --with-apxs=%p/sbin/apxs 
--without-apache --disable-mod-activation --without-jdk --disable-javahl 
--with-jikes=no --disable-swig-bindings --without-swig --without-python 
--without-perl --without-ruby --with-berkeley-db=%p/include/db4:%p/lib 
--disable-dependency-tracking --disable-keychain
 SetCPPFLAGS: -I%p/include/db4 -no-cpp-precomp
 GCC: 3.3
 CompileScript: <<
 #! /bin/sh -ev
- ### Remove packages that are installed by fink
- rm -rf neon
- rm -rf apr
- rm -rf apr-util
-
  # recreate configure with libtool 1.5
  ./autogen.sh
  ### Recreate build-outputs.mk to not include already installed libs
@@ -65,10 +60,17 @@
      echo ""
      echo "  http://subversion.tigris.org/faq.html#bdb43-upgrade";
      echo ""
-     echo "To install an older svnadmin binary linked to db43 please install"
-     echo "the fink package 'svn-ssl-1.1.4-11', e.g. by typing"
+     echo "and"
      echo ""
-     echo "  fink install svn-ssl-1.1.4-11"
+     echo "  http://subversion.tigris.org/faq.html#dumpload";
+     echo ""
+     echo "To install svnadmin binary linked to an older Berkeley DB version"
+     echo "please install the fink package 'svnadmin-dbXX', e.g. by typing"
+     echo ""
+     echo "  fink install svnadmin-db42"
+     echo "and following the documentation of svnadmin-dbXX, e.g.:"
+     echo ""
+     echo "  fink info svnadmin-db42"
      echo ""
      echo -n "Do you want to continue [Y/n] ? ";
      if read -t 3600 CONTINUECHOICE; then
@@ -148,7 +150,7 @@
 DescUsage: <<
  This installs the subversion network server for apache2.
  Please read section III C in the file 
- %p/share/doc/libapache2-ssl-mod-svn/INSTALL
+ %p/share/doc/%n/INSTALL
  for informations on how to run a subversion server via apache2.
  
  You could install the repositories under the preconfigured directory
@@ -158,15 +160,43 @@
  to read and write. E.g. run 'chown -R www %p/var/svn/yourrepos' and 
  'chmod -R go-rwx %p/var/svn/yourrepos'.
  
- You then need to add the following lines to your %p/etc/apache2/httpd.conf
+ You then need to add the following lines to your
+ %p/etc/apache2/httpd.conf
  file:
+
  <Location /svn/yourrepos>
    DAV svn
    SVNPath %p/var/svn/yourrepos
+ 
+   # The following allows for basic http authentication.  Basic 
+   # authentication should not be considered secure for any particularly 
+   # rigorous definition of secure.
+ 
+   # to create a passwd file
+   # # rm -f %p/etc/apache2/dav_svn.passwd 
+   # # htpasswd2 -c %p/etc/apache2/dav_svn.passwd newuser
+   # New password: 
+   # Re-type new password: 
+   # Adding password for user newuser
+   # #
+ 
+   # Uncomment the following 3 lines to enable Basic Authentication
+   # AuthType Basic
+   # AuthName "Subversion Repository"
+   # AuthUserFile %p/etc/apache2/dav_svn.passwd
+ 
+   # Uncomment the following line to enable Authz Authentication
+   # AuthzSVNAccessFile %p/etc/apache2/dav_svn.authz
+ 
+   # The following three lines allow anonymous read, but make
+   # committers authenticate themselves.
+   # <LimitExcept GET PROPFIND OPTIONS REPORT>
+   #   Require valid-user
+   # </LimitExcept> 
  </Location>
  
- Your repository should show up at <http://localhost/svn/yourrepos>. If it 
- does not check your apache2 logs at %p/var/apache2/logs/error_log
+ Your repository should show up at <http://localhost/svn/yourrepos>. 
+ If it does not check your apache2 logs at %p/var/apache2/logs/error_log
  
  If you need the examples or the tools (e.g. svnadmin) install the 
  'svn-ssl' package.
@@ -176,13 +206,21 @@
  Subversion (svn) 1.2 or later uses Berkeley DB 4.3 (db43).
  If you are upgrading from an earlier version and you are using
  BDB repositories please read
+
+  http://subversion.tigris.org/faq.html#bdb43-upgrade
+
+ and
+
+  http://subversion.tigris.org/faq.html#dumpload
+
+ To install svnadmin binary linked to an older Berkeley DB version
+ please install the fink package 'svnadmin-dbXX', e.g. by typing
+
+   fink install svnadmin-db42
  
-   http://subversion.tigris.org/faq.html#bdb43-upgrade
- 
- To install an older svnadmin binary linked to db42 please install
- the fink package 'svn-ssl-1.1.4-11', e.g. by typing
+ and following the documentation of svnadmin-dbXX, e.g.:
  
-   fink install svn-ssl-1.1.4-11
+   fink info svnadmin-db42
 <<
 DescPort: <<
  Patches applied to be able to not rebuild already installed libraries
@@ -191,5 +229,7 @@
 
  Added 'export F77=no;' to configure in order not to fail if the 
  fort77 package is installed.
+
+ Keychain disabled on Mac OS X 10.3
 <<
 Homepage: http://subversion.tigris.org/

Index: svn-ssl-swig-py.info
===================================================================
RCS file: 
/cvsroot/fink/dists/10.3/unstable/crypto/finkinfo/svn-ssl-swig-py.info,v
retrieving revision 1.15
retrieving revision 1.16
diff -u -d -r1.15 -r1.16
--- svn-ssl-swig-py.info        3 Aug 2006 19:31:25 -0000       1.15
+++ svn-ssl-swig-py.info        8 Nov 2006 00:05:31 -0000       1.16
@@ -1,48 +1,49 @@
 Info2: <<
 Package: svn-ssl-swig-py%type_pkg[python]
-Version: 1.2.3
-Revision: 14
-Description: Subversion - Swig Python bindings (with SSL)
+Version: 1.4.2
+Revision: 1
+Description: Subversion - Swig Python %type_raw[python] bindings (with SSL)
 Type: python (2.3 2.4)
-License: Restrictive
+License: BSD
 Maintainer: Christian Schaffner <[EMAIL PROTECTED]>
 
 # Dependencies:
-Depends: python%type_pkg[python] | python%type_pkg[python]-nox, svn-ssl-shlibs 
(>= %v-11), swig-shlibs (>= 1.3.20-2)
-BuildDepends: fink (>= 0.21.1-1), svn-ssl-dev (>= %v-11), apr-ssl (>= 
0.9.12-1), apr-ssl-common (>= 0.9.12-1), db43-ssl, gdbm3, expat (>= 1.95.6-2), 
libxml2 (>= 2.5.10-12), neon24-ssl (>= 0.24.7-11), openldap23-dev, 
cyrus-sasl2-dev (>= 2.1.15-23), openssl097-dev, swig (>= 1.3.20-2), 
libiconv-dev (>= 1.9.1-11), gettext-bin, gettext-tools, libgettext3-dev, 
io-string-pm, libtool14 (>= 1.5.10-1), autoconf (>= 2.60-1), automake1.9
+Depends: python%type_pkg[python] | python%type_pkg[python]-nox, %{Ni}-shlibs
+BuildDepends: fink (>= 0.25.0-1), svn-ssl-dev (>= %v-1), apr-ssl (>= 
0.9.12-1), apr-ssl-common (>= 0.9.12-1), db43-ssl, gdbm3, expat (>= 1.95.6-2), 
libxml2 (>= 2.5.10-12), neon26, openldap23-dev, cyrus-sasl2-dev (>= 2.1.15-23), 
openssl097-dev, libiconv-dev (>= 1.9.1-11), gettext-bin, gettext-tools, 
libgettext3-dev, io-string-pm, libtool14 (>= 1.5.10-1), autoconf (>= 2.60-1), 
automake1.9, gcc3.3
 Conflicts: %{Ni}23, %{Ni}24
 Replaces: %{Ni}23, %{Ni}24, svn-ssl-shlibs (<< 1.0.4-11)
 
 # Unpack Phase:
-Source: http://subversion.tigris.org/tarballs/subversion-%v.tar.bz2
-Source-MD5: a14bc6590241b6e5c2ff2b354cc184a1
+Source: http://subversion.tigris.org/downloads/subversion-%v.tar.bz2
+Source-MD5: edebb06afb3266d09e75f728a8259677
 
 # Patch Phase:
-Patch: svn-ssl.patch
-PatchScript: perl -pi -e 's;\[5\-9\];\\($&\\|[0-9]\\{2,\\}\\);' configure.in
+PatchFile: svn-ssl.patch
+PatchFile-MD5: 78a6c8f6362fa505a3079fcd5f8e660c
+PatchScript: <<
+ %{default_script}
+ perl -pi.bak -e  's| 0\.26\.1| 0.26.1  0.26.2|' configure.in
+<<
 
 # Compile Phase:
 SetCPPFLAGS: -I%p/include/db4 -no-cpp-precomp
 GCC: 3.3
 CompileScript: <<
 #! /bin/sh -ev
- ### Remove packages that are installed by fink
- rm -rf neon
- rm -rf apr
- rm -rf apr-util
-
  # recreate configure with libtool 1.5
  ./autogen.sh
+
  ### Recreate build-outputs.mk to not include already installed libs
  ./gen-make.py --installed-libs 
libsvn_client,libsvn_delta,libsvn_diff,libsvn_fs,libsvn_fs_base,libsvn_fs_fs,libsvn_ra,libsvn_ra_dav,libsvn_ra_local,libsvn_ra_svn,libsvn_repos,libsvn_subr,libsvn_wc
- ### Configure shared
- export F77=no; ./configure --prefix=%p --libexecdir='${prefix}/lib/svn' 
--mandir='${prefix}/share/man' --infodir='${prefix}/share/info' --with-neon=%p 
--with-apr=%p --with-apr-util=%p --enable-shared --without-apxs 
--without-apache --disable-mod-activation --without-jdk --disable-javahl 
--with-jikes=no --enable-swig-bindings=python --with-swig=%p 
--with-python=%p/bin/python%type_raw[python] --without-perl 
PYTHON2=%p/bin/python%type_raw[python] --without-ruby
 
- ### force SWIG to use gcc 3.3 too
-# perl -pi.bak -e 's|(SWIG.*)gcc|${1}gcc-3.3|g' Makefile
+ ### Configure shared
+ export CC=gcc-3.3; export CXX=g++-3.3; export F77=no; ./configure --prefix=%p 
--libexecdir='${prefix}/lib/svn' --mandir='${prefix}/share/man' 
--infodir='${prefix}/share/info' --with-neon=%p --with-apr=%p 
--with-apr-util=%p --enable-shared --without-apxs --without-apache 
--disable-mod-activation --without-jdk --disable-javahl --with-jikes=no 
--enable-swig-bindings=python --with-python=%p/bin/python%type_raw[python] 
--without-perl PYTHON2=%p/bin/python%type_raw[python] --without-ruby 
--with-berkeley-db=%p/include/db4:%p/lib --disable-dependency-tracking 
--disable-keychain
 
  ### Build swig python bindings
- make swig-py
+ make CC=gcc-3.3 CXX=g++-3.3 swig-py
+<<
+InfoTest: <<
+ TestScript: make check-swig-py || exit 2
 <<
 
 # Install Phase:
@@ -57,8 +58,21 @@
  rm %i/lib/*.a
  rm %i/lib/*.la
 <<
-Shlibs: <<
- %p/lib/libsvn_swig_py-1.0.dylib 1.0.0 %n (>= 1.0.4-11)
+SplitOff: <<
+  Description: Subversion - Swig Python Shared libraries
+  Package: %N-shlibs
+  Depends: svn-ssl-shlibs (>= %v-1)
+  Replaces: %{Ni}23-shlibs, %{Ni}24-shlibs
+  Provides: %{Ni}-shlibs
+  Files: <<
+    lib/libsvn_swig_py-1.0.0.0.dylib
+    lib/libsvn_swig_py-1.0.dylib
+    lib/libsvn_swig_py-1.dylib
+  <<
+  Shlibs: <<
+    %p/lib/libsvn_swig_py-1.0.dylib 1.0.0 %n (>= 1.4.0-1)
+  <<
+  DocFiles: COPYING HACKING INSTALL.swig NOTES.swig
 <<
 
 # Additional Info
@@ -77,9 +91,6 @@
  fort77 package is installed.
 <<
 DescPackaging: <<
- Although this package has a BSD license, it is marked Restrictive since
- it depends on a Restrictive package (neon24-ssl).
-
  The "Replaces: svn-ssl-shlibs (<< 1.0.4-11)" is needed since the 
  libsvn_swig_py-1.0.dylib was (incorrectly) in the svn-ssl-shlibs package.
 <<

Index: svn-ssl-javahl.info
===================================================================
RCS file: 
/cvsroot/fink/dists/10.3/unstable/crypto/finkinfo/svn-ssl-javahl.info,v
retrieving revision 1.15
retrieving revision 1.16
diff -u -d -r1.15 -r1.16
--- svn-ssl-javahl.info 3 Aug 2006 19:31:25 -0000       1.15
+++ svn-ssl-javahl.info 8 Nov 2006 00:05:31 -0000       1.16
@@ -1,61 +1,56 @@
 Info2: <<
 Package: svn-ssl-javahl
-Version: 1.2.3
-Revision: 14
+Version: 1.4.2
+Revision: 1
 Description: Subversion - Java bindings (with SSL)
 Type: java(1.4)
-DescPackaging: <<
- Although this package has a BSD license, it is marked Restrictive since
- it depends on a Restrictive package (neon24-ssl).
-<<
-License: Restrictive
+License: BSD
 Maintainer: Christian Schaffner <[EMAIL PROTECTED]>
 
 # Dependencies:
-Depends: system-java%type_pkg[java], svn-ssl-shlibs (>= %v-11)
-BuildDepends: fink (>= 0.22.2-1), svn-ssl-dev (>= %v-11), apr-ssl (>= 
0.9.12-1), apr-ssl-common (>= 0.9.12-1), db43-ssl, gdbm3, expat (>= 1.95.6-2), 
libxml2 (>= 2.5.10-12), neon24-ssl (>= 0.24.7-11), openldap23-dev, 
cyrus-sasl2-dev (>= 2.1.15-23), openssl097-dev, libiconv-dev (>= 1.9.1-11), 
system-java%type_pkg[java]-dev, gettext-bin, gettext-tools, libgettext3-dev, 
io-string-pm, libtool14 (>= 1.5.10-1), autoconf (>= 2.60-1), automake1.9
-# Only needs to be enabled for 'make check-javahl':
-#, junit
+Depends: system-java%type_pkg[java], svn-ssl-shlibs (>= %v-1)
+BuildDepends: fink (>= 0.25.0-1), svn-ssl-dev (>= %v-1), apr-ssl (>= 
0.9.12-1), apr-ssl-common (>= 0.9.12-1), db43-ssl, gdbm3, expat (>= 1.95.6-2), 
libxml2 (>= 2.5.10-12), neon26, openldap23-dev, cyrus-sasl2-dev (>= 2.1.15-23), 
openssl097-dev, libiconv-dev (>= 1.9.1-11), gettext-bin, gettext-tools, 
libgettext3-dev, io-string-pm, libtool14 (>= 1.5.10-1), autoconf (>= 2.60-1), 
automake1.9, system-java%type_pkg[java]-dev, gcc3.3
 
 # Unpack Phase:
-Source: http://subversion.tigris.org/tarballs/subversion-%v.tar.bz2
-Source-MD5: a14bc6590241b6e5c2ff2b354cc184a1
+Source: http://subversion.tigris.org/downloads/subversion-%v.tar.bz2
+Source-MD5: edebb06afb3266d09e75f728a8259677
 
 # Patch Phase:
-Patch: svn-ssl.patch
-PatchScript: perl -pi -e 's;\[5\-9\];\\($&\\|[0-9]\\{2,\\}\\);' configure.in
+PatchFile: svn-ssl.patch
+PatchFile-MD5: 78a6c8f6362fa505a3079fcd5f8e660c
+PatchScript: <<
+ %{default_script}
+ perl -pi.bak -e  's| 0\.26\.1| 0.26.1  0.26.2|' configure.in
+<<
 
 # Compile Phase:
-ConfigureParams: --libexecdir='${prefix}/lib/svn' 
--mandir='${prefix}/share/man' --infodir='${prefix}/share/info' --with-neon=%p 
--with-apr=%p --with-apr-util=%p --enable-shared --without-apxs 
--without-apache --disable-mod-activation 
--with-jdk=/System/Library/Frameworks/JavaVM.framework/Versions/CurrentJDK/Home 
--enable-javahl --with-jikes=no --disable-swig-bindings --without-swig 
--without-python --without-perl --without-ruby
-# Only needs to be enabled for 'make check-javahl':
-# --with-junit=%p/share/java/junit/junit.jar
+ConfigureParams: --libexecdir='${prefix}/lib/svn' 
--mandir='${prefix}/share/man' --infodir='${prefix}/share/info' --with-neon=%p 
--with-apr=%p --with-apr-util=%p --enable-shared --without-apxs 
--without-apache --disable-mod-activation 
--with-jdk=/System/Library/Frameworks/JavaVM.framework/Versions/CurrentJDK/Home 
--enable-javahl --with-jikes=no --disable-swig-bindings --without-swig 
--without-python --without-perl --without-ruby 
--with-berkeley-db=%p/include/db4:%p/lib --disable-dependency-tracking 
--disable-keychain
 SetCPPFLAGS: -I%p/include/db4 -no-cpp-precomp
 GCC: 3.3
 CompileScript: <<
 #! /bin/sh -ev
- ### Remove packages that are installed by fink
- rm -rf neon
- rm -rf apr
- rm -rf apr-util
-
  # recreate configure with libtool 1.5
  ./autogen.sh
+
  ### Recreate build-outputs.mk to not include already installed libs
  ./gen-make.py --installed-libs 
libsvn_client,libsvn_delta,libsvn_diff,libsvn_fs,libsvn_fs_base,libsvn_fs_fs,libsvn_ra,libsvn_ra_dav,libsvn_ra_local,libsvn_ra_svn,libsvn_repos,libsvn_subr,libsvn_wc
+
  ### Configure shared
- export F77=no; ./configure %c
+ export CC=gcc-3.3; export CXX=g++-3.3; export F77=no; ./configure %c
 
  ### Build javahl bindings
- make javahl
+ make CC=gcc-3.3 CXX=g++-3.3 javahl
+<<
+InfoTest: <<
  # There is one test failing because of permissions while running as root
-#  make check-javahl
+ TestDepends: junit
+ TestScript: make check-javahl || exit 2
+ TestConfigureParams: --with-junit=%p/share/java/junit/junit.jar
 <<
 
 # Install Phase:
 DocFiles: <<
- subversion/bindings/java/javahl/AUTHORS
  subversion/bindings/java/javahl/README
- subversion/bindings/java/javahl/README-HIGH-LEVEL-API.txt
  COPYING HACKING INSTALL
 <<
 JarFiles: subversion/bindings/java/javahl/svn-javahl.jar
@@ -66,10 +61,10 @@
  ### Install javahl bindings
  # INSTALL_EXTRA_JAVAHL_LIB is set to nothing since it would generate
  # a symbolic link directly in %p instead of %i
- make install-javahl INSTALL_EXTRA_JAVAHL_LIB="" DESTDIR=%d 
javahl_javadir=%p/share/java/svn-ssl-javahl 
javahl_javahdir=%p/include/svn-ssl-javahl
+ make install-javahl INSTALL_EXTRA_JAVAHL_LIB="" DESTDIR=%d 
javahl_javadir=%p/share/java/%n javahl_javahdir=%p/include/%n
  #### make a symlink for the jnilib
  ln -sf libsvnjavahl-1.dylib %i/lib/libsvnjavahl-1.jnilib
- ln -sf %p/lib/libsvnjavahl-1.dylib 
%i/share/java/svn-ssl-javahl/libsvnjavahl-1.jnilib
+ ln -sf %p/lib/libsvnjavahl-1.dylib %i/share/java/%n/libsvnjavahl-1.jnilib
  
  ### Remove unneeded include dir and archives
  rm -rf %i/include
@@ -79,13 +74,13 @@
 
 # Additional Info
 DescDetail: <<
-  Bindings to call svn functions from java 1.4.
+  Subversion bindings to call svn functions from java 1.4.
 <<
 DescUsage: <<
- Please read the files in '%p/share/doc/svn-ssl-javahl/'.
+ Please read the files in '%p/share/doc/%n/'.
  
  If you get a java.lang.UnsatisfiedLinkError exception in java check 
- to make sure that the path %p/share/java/svn-ssl-javahl is in your
+ to make sure that the path %p/share/java/%n is in your
  'java.library.path' or make a simbolic link to 
  %p/lib/libsvnjavahl-1.dylib that is called 'libsvnjavahl-1.jnilib'
  in your working directory.
@@ -95,7 +90,7 @@
  
  cd /Developer/Applications/eclipse/plugins/ \
     org.tigris.subversion.subclipse.core_0.9.22
- cp %p/share/java/svn-ssl-javahl/svn-javahl.jar .
+ cp %p/share/java/%n/svn-javahl.jar .
  ln -sf %p/lib/libsvnjavahl-1.jnilib
  
  (Adjust the path to your subclise plugin accordingly.)

Index: svn-ssl.patch
===================================================================
RCS file: /cvsroot/fink/dists/10.3/unstable/crypto/finkinfo/svn-ssl.patch,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -d -r1.10 -r1.11
--- svn-ssl.patch       9 Jun 2005 17:54:38 -0000       1.10
+++ svn-ssl.patch       8 Nov 2006 00:05:32 -0000       1.11
@@ -1,39 +1,19 @@
-diff -Naur subversion-1.2.0_orig/Makefile.in subversion-1.2.0/Makefile.in
---- subversion-1.2.0_orig/Makefile.in  2005-03-31 01:48:42.000000000 +0200
-+++ subversion-1.2.0/Makefile.in       2005-04-08 14:21:52.000000000 +0200
-@@ -577,7 +577,7 @@
+diff -Naur subversion-1.4.0_orig/Makefile.in subversion-1.4.0/Makefile.in
+--- subversion-1.4.0_orig/Makefile.in  2006-08-08 09:56:13.000000000 -0500
++++ subversion-1.4.0/Makefile.in       2006-08-08 09:57:42.000000000 -0500
+@@ -603,8 +603,7 @@
  $(SWIG_PL_DIR)/native/Makefile: $(SWIG_PL_DIR)/native/Makefile.PL
        cd $(SWIG_PL_DIR)/native; $(PERL) Makefile.PL
  
--swig-pl_DEPS = libsvn_client libsvn_delta libsvn_diff libsvn_fs libsvn_ra 
libsvn_repos libsvn_subr libsvn_wc libsvn_swig_perl 
$(SWIG_PL_DIR)/native/Makefile
-+swig-pl_DEPS = libsvn_swig_perl $(SWIG_PL_DIR)/native/Makefile
+-swig-pl_DEPS = autogen-swig-pl libsvn_client libsvn_delta libsvn_diff \
+-  libsvn_fs libsvn_ra libsvn_repos libsvn_subr libsvn_wc libsvn_swig_perl \
++swig-pl_DEPS = libsvn_swig_perl \
+   $(SWIG_PL_DIR)/native/Makefile
  swig-pl: $(swig-pl_DEPS)
-       cd $(SWIG_PL_DIR)/native; $(MAKE)
- 
-diff -Naur subversion-1.2.0_orig/ac-helpers/ltmain.sh 
subversion-1.2.0/ac-helpers/ltmain.sh
---- subversion-1.2.0_orig/ac-helpers/ltmain.sh 2005-04-05 01:45:29.000000000 
+0200
-+++ subversion-1.2.0/ac-helpers/ltmain.sh      2005-04-08 14:25:27.000000000 
+0200
-@@ -4906,7 +4906,7 @@
- # if CDPATH is set.
- (unset CDPATH) >/dev/null 2>&1 && unset CDPATH
- 
--relink_command=\"$relink_command\"
-+relink_command=\"\"
- 
- # This environment variable determines our operation mode.
- if test \"\$libtool_install_magic\" = \"$magic\"; then
-@@ -5303,7 +5303,7 @@
- libdir='$install_libdir'"
-         if test "$installed" = no && test "$need_relink" = yes; then
-           $echo >> $output "\
--relink_command=\"$relink_command\""
-+relink_command=\"\""
-         fi
-       done
-       fi
-diff -Naur subversion-1.2.0_orig/build/generator/gen_make.py 
subversion-1.2.0/build/generator/gen_make.py
---- subversion-1.2.0_orig/build/generator/gen_make.py  2005-03-22 
16:08:25.000000000 +0100
-+++ subversion-1.2.0/build/generator/gen_make.py       2005-04-08 
15:24:29.000000000 +0200
+       if test "$(SWIG_PL_DIR)" != "$(SWIG_PL_SRC_DIR)"; then \
+diff -Naur subversion-1.4.0_orig/build/generator/gen_make.py 
subversion-1.4.0/build/generator/gen_make.py
+--- subversion-1.4.0_orig/build/generator/gen_make.py  2006-08-08 
09:56:10.000000000 -0500
++++ subversion-1.4.0/build/generator/gen_make.py       2006-08-08 
10:03:52.000000000 -0500
 @@ -5,6 +5,7 @@
  import os
  import sys
@@ -41,8 +21,8 @@
 +import ConfigParser
  
  import gen_base
- 
-@@ -39,6 +40,13 @@
+ import generator.swig.header_wrappers
+@@ -53,6 +54,13 @@
      install_deps = self.graph.get_deps(gen_base.DT_INSTALL)
      install_sources = self.graph.get_all_sources(gen_base.DT_INSTALL)
  
@@ -56,7 +36,7 @@
      # ensure consistency between runs
      install_deps.sort()
      install_sources.sort(lambda s1, s2: cmp(s1.name, s2.name))
-@@ -54,11 +62,17 @@
+@@ -68,11 +76,17 @@
  
          # construct a list of the other .la libs to link against
          retreat = build_path_retreat(target.path)
@@ -76,21 +56,42 @@
            deps.append(source.filename)
            link.append(build_path_join(retreat, source.filename))
  
-@@ -136,6 +150,8 @@
+@@ -211,6 +225,8 @@
          elif isinstance(link_dep, gen_base.TargetLinked):
            if link_dep.external_lib:
              libs.append(link_dep.external_lib)
 +          elif link_dep.name in self.installed_libs:
 +            libs.append('-l%s-%s' % (link_dep.name[3:], self.version))
-           else:
-             # append the output of the target to our stated dependencies
-             deps.append(link_dep.filename)
-diff -Naur subversion-1.2.0_orig/gen-make.py subversion-1.2.0/gen-make.py
---- subversion-1.2.0_orig/gen-make.py  2005-01-31 13:11:57.000000000 +0100
-+++ subversion-1.2.0/gen-make.py       2005-04-08 14:45:18.000000000 +0200
+           elif link_dep.external_project:
+             # FIXME: This is a temporary workaround to fix build breakage
+             # expeditiously.  It is of questionable validity for a build
+diff -Naur subversion-1.4.0_orig/build/ltmain.sh 
subversion-1.4.0/build/ltmain.sh
+--- subversion-1.4.0_orig/build/ltmain.sh      2006-08-08 09:56:11.000000000 
-0500
++++ subversion-1.4.0/build/ltmain.sh   2006-08-08 09:59:02.000000000 -0500
+@@ -5257,7 +5257,7 @@
+ # if CDPATH is set.
+ (unset CDPATH) >/dev/null 2>&1 && unset CDPATH
+ 
+-relink_command=\"$relink_command\"
++relink_command=\"\"
+ 
+ # This environment variable determines our operation mode.
+ if test \"\$libtool_install_magic\" = \"$magic\"; then
+@@ -5698,7 +5698,7 @@
+ libdir='$install_libdir'"
+         if test "$installed" = no && test "$need_relink" = yes; then
+           $echo >> $output "\
+-relink_command=\"$relink_command\""
++relink_command=\"\""
+         fi
+       done
+       fi
+diff -Naur subversion-1.4.0_orig/gen-make.py subversion-1.4.0/gen-make.py
+--- subversion-1.4.0_orig/gen-make.py  2006-08-08 09:56:13.000000000 -0500
++++ subversion-1.4.0/gen-make.py       2006-08-08 10:06:40.000000000 -0500
 @@ -81,6 +81,13 @@
    print
-   print "           The default generator type is 'make'"
+   print "            The default generator type is 'make'"
    print
 +  print "  UNIX-specific options:"
 +  print
@@ -99,10 +100,10 @@
 +  print "           pre-installed instead of building (probably only"
 +  print "           useful for packagers)"
 +  print
-   print "  Windows-specific options:"
+   print "  Makefile-specific options:"
    print
-   print "  --with-apr=DIR"
-@@ -176,6 +183,7 @@
+   print "  --assume-shared-libs"
+@@ -196,6 +203,7 @@
                                  'enable-nls',
                                  'enable-bdb-in-apr-util',
                                  'vsnet-version=',
@@ -110,9 +111,9 @@
                                  ])
      if len(args) > 1:
        _usage_exit()
-diff -Naur 
subversion-1.2.0_orig/subversion/bindings/swig/perl/native/Makefile.PL.in 
subversion-1.2.0/subversion/bindings/swig/perl/native/Makefile.PL.in
---- subversion-1.2.0_orig/subversion/bindings/swig/perl/native/Makefile.PL.in  
2005-03-22 10:31:58.000000000 +0100
-+++ subversion-1.2.0/subversion/bindings/swig/perl/native/Makefile.PL.in       
2005-04-08 15:12:47.000000000 +0200
+diff -Naur 
subversion-1.4.0_orig/subversion/bindings/swig/perl/native/Makefile.PL.in 
subversion-1.4.0/subversion/bindings/swig/perl/native/Makefile.PL.in
+--- subversion-1.4.0_orig/subversion/bindings/swig/perl/native/Makefile.PL.in  
2006-08-08 09:56:12.000000000 -0500
++++ subversion-1.4.0/subversion/bindings/swig/perl/native/Makefile.PL.in       
2006-08-08 10:09:00.000000000 -0500
 @@ -3,7 +3,7 @@
  use Config;
  use Cwd 'abs_path';
@@ -122,27 +123,41 @@
  if ($^O ne 'VMS') {
    $perl_path .= $Config{_exe} unless $perl_path =~ m/$Config{_exe}$/i;
  }
-@@ -105,7 +105,6 @@
- 
-    my $swig_modules_command = join ('',
-                               map {"\nsvn_$_.c : $swig_srcdir/svn_$_.i ".
--                                   "$svnlib_builddir/libsvn_$_/libsvn_$_-1.la 
".
-                                    "ra_plugin.hi ra_reporter.hi ".
-                                    "delta_editor.hi\n" .
-                                    "\t$swig_command".
-diff -Naur subversion-1.2.0_orig/svn-config.in subversion-1.2.0/svn-config.in
---- subversion-1.2.0_orig/svn-config.in        2003-12-16 17:41:14.000000000 
+0100
-+++ subversion-1.2.0/svn-config.in     2005-04-08 14:46:56.000000000 +0200
-@@ -22,10 +22,10 @@
- libdir="@libdir@"
- includedir="@includedir@"
- 
--LIBS="@NEON_LIBS@ @SVN_APRUTIL_EXPORT_LIBS@ @SVN_APR_EXPORT_LIBS@ 
@SVN_DB_LIBS@ @LIBS@"
-+LIBS="@NEON_LIBS@ @SVN_APRUTIL_EXPORT_LIBS@ @SVN_APR_EXPORT_LIBS@ @LIBS@"
- CFLAGS="@CFLAGS@"
- CPPFLAGS="@CPPFLAGS@"
--INCLUDES="@SVN_NEON_INCLUDES@ @SVN_DB_INCLUDES@ @SVN_APR_INCLUDES@ 
@SVN_APRUTIL_INCLUDES@"
-+INCLUDES="@SVN_NEON_INCLUDES@ @SVN_APR_INCLUDES@ @SVN_APRUTIL_INCLUDES@"
- LDFLAGS="@LDFLAGS@"
- 
- SVN_SOURCE_DIR="@abs_srcdir@"
+diff -ruN subversion-1.4.0_orig/fink/dav_svn.conf 
subversion-1.4.0/fink/dav_svn.conf
+--- subversion-1.4.0_orig/fink/dav_svn.conf    1969-12-31 17:00:00.000000000 
-0700
++++ subversion-1.4.0/fink/dav_svn.conf 2006-06-15 12:28:59.000000000 -0600
+diff -ruN subversion-1.4.0_orig/fink/httpd.conf 
subversion-1.4.0_orig/fink/httpd.conf
+--- subversion-1.4.0_orig/fink/httpd.conf        1969-12-31 19:00:00.000000000 
-0500
++++ subversion-1.4.0/fink/httpd.conf     2006-10-13 17:30:32.000000000 -0400
+@@ -0,0 +1,31 @@
++ServerRoot "@FINKBUILD@/fink/apache2"
++LockFile @FINKBUILD@/fink/apache2/accept.lock
++PidFile @FINKBUILD@/fink/apache2/apache2.pid
++AcceptMutex flock
++ErrorLog @FINKBUILD@/fink/apache2/error.log
++Listen 127.0.0.1:52080
++ServerName localhost:52080
++AddDefaultCharset UTF-8
++LoadModule auth_module @FINKPREFIX@/lib/apache2/modules/mod_auth.so
++LoadModule dav_module @FINKPREFIX@/lib/apache2/modules/mod_dav.so
++LoadModule dav_svn_module @FINKPREFIX@/lib/apache2/modules/mod_dav_svn.so
++LoadModule authz_svn_module @FINKPREFIX@/lib/apache2/modules/mod_authz_svn.so
++<Location /svn-test-work/repositories>
++  DAV svn
++  SVNParentPath 
@FINKBUILD@/subversion/tests/cmdline/svn-test-work/repositories
++  AuthzSVNAccessFile @FINKBUILD@/subversion/tests/cmdline/svn-test-work/authz
++  AuthType Basic
++  AuthName "Subversion Repository"
++  AuthUserFile @FINKBUILD@/tools/test-scripts/svntest/dav_svn.passwd
++  Require valid-user
++</Location>
++
++<Location /svn-test-work/local_tmp/repos>
++  DAV svn
++  SVNPath @FINKBUILD@/subversion/tests/cmdline/svn-test-work/local_tmp/repos
++  AuthzSVNAccessFile @FINKBUILD@/subversion/tests/cmdline/svn-test-work/authz
++  AuthType Basic
++  AuthName "Subversion Repository"
++  AuthUserFile @FINKBUILD@/tools/test-scripts/svntest/dav_svn.passwd
++  Require valid-user
++</Location>

--- svn-ssl-0.33.1-11.info DELETED ---

--- svn-ssl-1.1.4-11.info DELETED ---

Index: svn-ssl-swig-pm.info
===================================================================
RCS file: 
/cvsroot/fink/dists/10.3/unstable/crypto/finkinfo/svn-ssl-swig-pm.info,v
retrieving revision 1.17
retrieving revision 1.18
diff -u -d -r1.17 -r1.18
--- svn-ssl-swig-pm.info        3 Aug 2006 19:31:25 -0000       1.17
+++ svn-ssl-swig-pm.info        8 Nov 2006 00:05:31 -0000       1.18
@@ -1,28 +1,27 @@
 Info2: <<
 Package: svn-ssl-swig-pm%type_pkg[perl]
-Version: 1.2.3
-Revision: 14
-Architecture: (%type_pkg[perl] = 581) powerpc, (%type_pkg[perl] = 584) powerpc
-Description: Subversion - Swig Perl bindings (with SSL)
+Version: 1.4.2
+Revision: 1
+Description: Subversion - Swig Perl %type_raw[perl] bindings (SSL)
 Type: perl (5.8.1 5.8.4 5.8.6)
-DescPackaging: <<
- Although this package has a BSD license, it is marked Restrictive since
- it depends on a Restrictive package (neon24-ssl).
-<<
-License: Restrictive
+License: BSD
 Maintainer: Christian Schaffner <[EMAIL PROTECTED]>
 
 # Dependencies:
 Depends: perl%type_pkg[perl]-core, %{Ni}-shlibs
-BuildDepends: fink (>= 0.21.1-1), svn-ssl-dev (>= %v-11), apr-ssl (>= 
0.9.12-1), apr-ssl-common (>= 0.9.12-1), db43-ssl, gdbm3, expat (>= 1.95.6-2), 
libxml2 (>= 2.5.10-12), neon24-ssl (>= 0.24.7-11), openldap23-dev, 
cyrus-sasl2-dev (>= 2.1.15-23), openssl097-dev, swig (>= 1.3.20-2), 
libiconv-dev (>= 1.9.1-11), gettext-bin, gettext-tools, libgettext3-dev, 
io-string-pm, libtool14 (>= 1.5.10-1), autoconf (>= 2.60-1), automake1.9
+BuildDepends: fink (>= 0.25.0-1), svn-ssl-dev (>= %v-1), apr-ssl (>= 
0.9.12-1), apr-ssl-common (>= 0.9.12-1), db43-ssl, gdbm3, expat (>= 1.95.6-2), 
libxml2 (>= 2.5.10-12), neon26, openldap23-dev, cyrus-sasl2-dev (>= 2.1.15-23), 
openssl097-dev, libiconv-dev (>= 1.9.1-11), gettext-bin, gettext-tools, 
libgettext3-dev, io-string-pm, libtool14 (>= 1.5.10-1), autoconf (>= 2.60-1), 
automake1.9, gcc3.3
 
 # Unpack Phase:
-Source: http://subversion.tigris.org/tarballs/subversion-%v.tar.bz2
-Source-MD5: a14bc6590241b6e5c2ff2b354cc184a1
+Source: http://subversion.tigris.org/downloads/subversion-%v.tar.bz2
+Source-MD5: edebb06afb3266d09e75f728a8259677
 
 # Patch Phase:
-Patch: svn-ssl.patch
-PatchScript: perl -pi -e 's;\[5\-9\];\\($&\\|[0-9]\\{2,\\}\\);' configure.in
+PatchFile: svn-ssl.patch
+PatchFile-MD5: 78a6c8f6362fa505a3079fcd5f8e660c
+PatchScript: <<
+ %{default_script}
+ perl -pi.bak -e  's| 0\.26\.1| 0.26.1  0.26.2|' configure.in
+<<
 
 # Compile Phase:
 SetCPPFLAGS: -I%p/include/db4 -no-cpp-precomp
@@ -30,27 +29,24 @@
 NoPerlTests: true
 CompileScript: <<
 #! /bin/sh -ev
- ### Remove packages that are installed by fink
- rm -rf neon
- rm -rf apr
- rm -rf apr-util
-
  # recreate configure with libtool 1.5
  ./autogen.sh
+
  ### Recreate build-outputs.mk to not include already installed libs
  ./gen-make.py --installed-libs 
libsvn_client,libsvn_delta,libsvn_diff,libsvn_fs,libsvn_fs_base,libsvn_fs_fs,libsvn_ra,libsvn_ra_dav,libsvn_ra_local,libsvn_ra_svn,libsvn_repos,libsvn_subr,libsvn_wc
+
  ### Configure shared
- export F77=no; ./configure --prefix=%p --libexecdir='${prefix}/lib/svn' 
--mandir='${prefix}/share/man' --infodir='${prefix}/share/info' --with-neon=%p 
--with-apr=%p --with-apr-util=%p --enable-shared --without-apxs 
--without-apache --disable-mod-activation --without-jdk --disable-javahl 
--with-jikes=no --enable-swig-bindings=perl --with-swig=%p --without-python 
--with-perl=perl%type_raw[perl] --without-ruby
- 
- ### force SWIG to use gcc 3.3 too
-# perl -pi.bak -e 's|(SWIG.*)gcc|${1}gcc-3.3|g' Makefile
+ export CC=gcc-3.3; export CXX=g++-3.3; export F77=no; ./configure --prefix=%p 
--libexecdir='${prefix}/lib/svn' --mandir='${prefix}/share/man' 
--infodir='${prefix}/share/info' --with-neon=%p --with-apr=%p 
--with-apr-util=%p --enable-shared --without-apxs --without-apache 
--disable-mod-activation --without-jdk --disable-javahl --with-jikes=no 
--enable-swig-bindings=perl --without-python --with-perl=perl%type_raw[perl] 
--without-ruby --with-berkeley-db=%p/include/db4:%p/lib 
--disable-dependency-tracking --disable-keychain
 
  ### Build swig perl bindings
- make swig-pl-lib
+ #make CC=gcc-3.3 CXX=g++-3.3 swig-pl-lib
 
- #make swig-pl
+ #make CC=gcc-3.3 CXX=g++-3.3 swig-pl
  (cd subversion/bindings/swig/perl/native && %{default_script})
 <<
+InfoTest: <<
+ TestScript: (cd subversion/bindings/swig/perl/native && make test) || exit 2
+<<
 
 # Install Phase:
 UpdatePOD: true
@@ -72,9 +68,9 @@
  mv %i/share/man %i/lib/perl5/%type_raw[perl]
 <<
 SplitOff: <<
-  Description: Subversion - Swig Perl Shared libraries (with SSL)
+  Description: Subversion - Swig Perl Shared libraries
   Package: %N-shlibs
-  Depends: svn-ssl-shlibs (>= %v-11), swig-shlibs (>= 1.3.20-2)
+  Depends: svn-ssl-shlibs (>= %v-1)
   Replaces: %{Ni}581-shlibs, %{Ni}584-shlibs, %{Ni}586-shlibs
   Provides: %{Ni}-shlibs
   Files: <<
@@ -90,7 +86,7 @@
 
 # Additional Info
 DescDetail: <<
-  Subveresion Bindings to call svn functions from perl.
+  Bindings to call svn functions from perl.
 <<
 DescUsage: <<
   Please read the files in '%p/share/doc/svn-ssl-swig-pm%type_pkg[perl]/'.

Index: svn-ssl.info
===================================================================
RCS file: /cvsroot/fink/dists/10.3/unstable/crypto/finkinfo/svn-ssl.info,v
retrieving revision 1.50
retrieving revision 1.51
diff -u -d -r1.50 -r1.51
--- svn-ssl.info        3 Aug 2006 19:31:25 -0000       1.50
+++ svn-ssl.info        8 Nov 2006 00:05:31 -0000       1.51
@@ -1,47 +1,43 @@
 Package: svn-ssl
-Version: 1.2.3
-Revision: 14
+Version: 1.4.2
+Revision: 1
 Description: Subversion - svnserve, tools (with SSL)
-License: Restrictive
+License: BSD
 Maintainer: Christian Schaffner <[EMAIL PROTECTED]>
 
 # Dependencies:
 Depends: %N-shlibs (= %v-%r), daemonic
-BuildDepends: apr-ssl (>= 0.9.12-1), apr-ssl-common (>= 0.9.12-1), db43-ssl, 
gdbm3, expat (>= 1.95.6-2), libxml2 (>= 2.5.10-12), fink (>= 0.16.0-1), 
neon24-ssl (>= 0.24.7-11), openldap23-dev, cyrus-sasl2-dev (>= 2.1.15-23), 
openssl097-dev, swig (>= 1.3.20-2), texinfo (>= 4.2-22), libiconv-dev (>= 
1.9.1-11), gettext-bin, gettext-tools, libgettext3-dev, io-string-pm, libtool14 
(>= 1.5.10-1), autoconf (>= 2.60-1), automake1.9
+BuildDepends: fink (>= 0.24.12-1), apr-ssl (>= 0.9.12-1), apr-ssl-common (>= 
0.9.12-1), db43-ssl, gdbm3, expat (>= 1.95.6-2), libxml2 (>= 2.5.10-12), 
neon26, openldap23-dev, cyrus-sasl2-dev (>= 2.1.15-23), openssl097-dev, texinfo 
(>= 4.2-22), libiconv-dev (>= 1.9.1-11), gettext-bin, gettext-tools, 
libgettext3-dev, io-string-pm, libtool14 (>= 1.5.10-1), autoconf (>= 2.60-1), 
automake1.9
 Conflicts: svn-client, svn-client-ssl (<= 0.26.0-2), apache2 (<< 2.0.47-1)
 Replaces: svn-client, svn-client-ssl (<= 1.1.1-11)
 
 # Unpack Phase:
-Source: http://subversion.tigris.org/tarballs/subversion-%v.tar.bz2
-Source-MD5: a14bc6590241b6e5c2ff2b354cc184a1
+Source: http://subversion.tigris.org/downloads/subversion-%v.tar.bz2
+Source-MD5: edebb06afb3266d09e75f728a8259677
 
 # Patch Phase:
-Patch: %n.patch
-PatchScript: perl -pi -e 's;\[5\-9\];\\($&\\|[0-9]\\{2,\\}\\);' configure.in
+PatchFile: %n.patch
+PatchFile-MD5: 78a6c8f6362fa505a3079fcd5f8e660c
+PatchScript: <<
+ sed -e 's|@FINKBUILD@|%b|g' -e 's|@FINKPREFIX@|%p|g' < %{PatchFile} | patch 
-p1
+ perl -pi.bak -e  's| 0\.26\.1| 0.26.1  0.26.2|' configure.in
+<<
 
 # Compile Phase:
-ConfigureParams: --libexecdir='${prefix}/lib/svn' 
--mandir='${prefix}/share/man' --infodir='${prefix}/share/info' --with-neon=%p 
--with-apr=%p --with-apr-util=%p --enable-shared --without-apxs 
--without-apache --disable-mod-activation --without-jdk --disable-javahl 
--with-jikes=no --disable-swig-bindings --with-swig=%p --without-python 
--without-perl --without-ruby
+ConfigureParams: --libexecdir='${prefix}/lib/svn' 
--mandir='${prefix}/share/man' --infodir='${prefix}/share/info' --with-neon=%p 
--with-apr=%p --with-apr-util=%p --enable-shared --without-apxs 
--without-apache --disable-mod-activation --without-jdk --disable-javahl 
--with-jikes=no --disable-swig-bindings --without-swig --without-python 
--without-perl --without-ruby --with-berkeley-db=%p/include/db4:%p/lib 
--disable-dependency-tracking --disable-keychain
 SetCPPFLAGS: -I%p/include/db4 -no-cpp-precomp
 GCC: 3.3
 CompileScript: <<
 #! /bin/sh -ev
- ### Remove packages that are installed by fink
- rm -rf neon
- rm -rf apr
- rm -rf apr-util
-
  # recreate configure with libtool 1.5
  ./autogen.sh
 
  ### Configure shared
  export F77=no; ./configure %c
 
- ### force SWIG to use gcc 3.3 too
-# perl -pi.bak -e 's|(SWIG.*)gcc|${1}gcc-3.3|g' Makefile
- 
  ### make everything shared
  make
- 
+
  ### Run tests over ra_local using BDB:
 # echo "Running tests over ra_local using BDB..."
 # make check CLEANUP=true FS_TYPE=bdb
@@ -52,21 +48,39 @@
 
  ### Run tests over ra_svn using BDB:
 # echo "Running tests over ra_svn using BDB..."
-# ./subversion/svnserve/svnserve -d -r `pwd`/subversion/tests/clients/cmdline
-# make svncheck CLEANUP=true FS_TYPE=bdb
-# killall -v -u `whoami` svnserve
+# killall -v -u `whoami` svnserve || true
+# ./subversion/svnserve/svnserve -d -r `pwd`/subversion/tests/cmdline
+# sleep 1
+# make check CLEANUP=true BASE_URL=svn://localhost FS_TYPE=bdb
+# killall -v -u `whoami` svnserve || true
 
  ### Run tests over ra_svn using fs_fs:
 # echo "Running tests over ra_svn using fs_fs..."
-# ./subversion/svnserve/svnserve -d -r `pwd`/subversion/tests/clients/cmdline
+# killall -v -u `whoami` svnserve || true
+# ./subversion/svnserve/svnserve -d -r `pwd`/subversion/tests/cmdline
+# sleep 1
 # make check CLEANUP=true BASE_URL=svn://localhost FS_TYPE=fsfs
-# killall -v -u `whoami` svnserve
+# killall -v -u `whoami` svnserve || true
 
- ### Run tests over ra_dav:
- # NOTE: The update_tests.py fails if tested against 1.0.x server
+ ### Run tests over ra_dav using BDB:
  # See DescPackaging on how to set up for tests over ra_dav
-# echo "Running tests over ra_dav..."
-# make check BASE_URL=http://localhost
+# echo "Running tests over ra_dav using BDB..."
+# /usr/bin/install -d %b/fink/apache2
+# %p/sbin/apachectl -f %b/fink/httpd.conf -k start
+# sleep 1
+# make check CLEANUP=true BASE_URL=http://localhost:52080 FS_TYPE=bdb
+# %p/sbin/apachectl -f %b/fink/httpd.conf -k stop
+# sleep 3
+
+ ### Run tests over ra_dav using fs_fs:
+ # See DescPackaging on how to set up for tests over ra_dav
+# echo "Running tests over ra_dav using fs_fs..."
+# /usr/bin/install -d %b/fink/apache2
+# %p/sbin/apachectl -f %b/fink/httpd.conf -k start
+# sleep 1
+# make check CLEANUP=true BASE_URL=http://localhost:52080 FS_TYPE=fsfs
+# %p/sbin/apachectl -f %b/fink/httpd.conf -k stop
+# sleep 3
 <<
 
 # Install Phase:
@@ -81,7 +95,6 @@
  cp -r www %i/share/doc/%n
  cp -r doc/user %i/share/doc/%n
  cp -r notes %i/share/doc/%n
- cp -r doc/book %i/share/doc/%n
  
  ### Configure and install examples, tools and notes
  /usr/bin/install -d %i/share/%n
@@ -89,6 +102,7 @@
  cp -r tools/bdb %i/share/%n/tools
  cp -r tools/client-side %i/share/%n/tools
  cp -r tools/dev %i/share/%n/tools
+ cp -r tools/diff %i/share/%n/tools
  cp -r tools/examples %i/share/%n/tools
  cp -r tools/hook-scripts %i/share/%n/tools
  cp -r tools/test-scripts %i/share/%n/tools
@@ -99,10 +113,6 @@
  # Remove unneeded .in files
  find %i/share/%n -name \*.in -print0 | xargs -0 rm -f
  
- ### Install binaries
- /usr/bin/install -d %i/bin
- /usr/bin/install -m 755 svn-config %i/bin
-
  # Install default directory for repositories
  /usr/bin/install -d %i/var
  /usr/bin/install -m 770 -d %i/var/svn
@@ -140,10 +150,17 @@
      echo ""
      echo "  http://subversion.tigris.org/faq.html#bdb43-upgrade";
      echo ""
-     echo "To install an older svnadmin binary linked to db42 please install"
-     echo "the fink package 'svn-ssl-1.1.4-11', e.g. by typing"
+     echo "and"
      echo ""
-     echo "  fink install svn-ssl-1.1.4-11"
+     echo "  http://subversion.tigris.org/faq.html#dumpload";
+     echo ""
+     echo "To install svnadmin binary linked to an older Berkeley DB version"
+     echo "please install the fink package 'svnadmin-dbXX', e.g. by typing"
+     echo ""
+     echo "  fink install svnadmin-db42"
+     echo "and following the documentation of svnadmin-dbXX, e.g.:"
+     echo ""
+     echo "  fink info svnadmin-db42"
      echo ""
      echo -n "Do you want to continue [Y/n] ? ";
      if read -t 3600 CONTINUECHOICE; then
@@ -167,7 +184,6 @@
   Conflicts: svn-client-ssl (<= 0.26.0-2)
   Replaces: svn-client-ssl (<= 0.26.0-2)
   Files: <<
-    bin/svn-config
     include
     lib/*.a
     lib/*.la
@@ -192,7 +208,7 @@
   Package: %N-shlibs
   Conflicts: svn-client-ssl (<= 0.26.0-2)
   Replaces: svn-client-ssl (<= 0.26.0-2)
-  Depends: apr-ssl-shlibs (>= 0.9.12-1), db43-ssl-shlibs, gdbm3-shlibs, 
expat-shlibs (>= 1.95.6-2), libxml2-shlibs (>= 2.5.10-12), neon24-ssl-shlibs 
(>= 0.24.7-11), openldap23-shlibs, cyrus-sasl2-shlibs (>= 2.1.15-23), 
openssl097-shlibs, libgettext3-shlibs
+  Depends: apr-ssl-shlibs (>= 0.9.12-1), db43-ssl-shlibs, gdbm3-shlibs, 
expat-shlibs (>= 1.95.6-2), libiconv, libxml2-shlibs (>= 2.5.10-12), 
neon26-shlibs, openldap23-shlibs, cyrus-sasl2-shlibs (>= 2.1.15-23), 
openssl097-shlibs, libgettext3-shlibs
   Files: <<
     lib/libsvn_client-1.0.0.0.dylib
     lib/libsvn_delta-1.0.0.0.dylib
@@ -242,28 +258,27 @@
   Description: Subversion - Client (with SSL)
   Package: svn-client-ssl
   Depends: %N-shlibs (= %v-%r)
-  Replaces: svn-ssl (<= 1.0.2-11)
+  Replaces: %N (<= 1.0.2-11)
   Files: <<
     bin/svn
     bin/svnversion
+    bin/svnsync
     share/locale
     share/man/man1/svn.1
     share/man/man1/svnversion.1
+    share/man/man1/svnsync.1
     share/%N/contrib/client-side
     share/%N/tools/client-side
   <<
   DocFiles: BUGS CHANGES COMMITTERS COPYING HACKING INSTALL README
   DescUsage: <<
     This installs the subversion client.
-    Type 'svn help' for usage and look in %p/share/svn-ssl/tools and 
-    %p/share/svn-ssl/contrib.
-    
-    WARNING:
-    This client may be incompatible with ra_dav servers <= 0.35
+    Type 'svn help' for usage and look in %p/share/%N/tools and 
+    %p/share/%N/contrib.
   <<
   DescPackaging: <<
-    The "Replaces: svn-ssl (<= 1.0.2-11)" is needed since the man page of 
-    svnversion was (incorrectly) in the svn-ssl package < 1.0.2 and was 
+    The "Replaces: %N (<= 1.0.2-11)" is needed since the man page of 
+    svnversion was (incorrectly) in the %N package < 1.0.2 and was 
     moved to the client split off in 1.0.2-11.
   <<
 <<
@@ -272,29 +287,9 @@
  Description: Subversion - Documentation
  Files: <<
   share/doc
-  share/info
  <<
  DocFiles: COPYING
 <<
-# SplitOff7: <<
-#   Package: %N-swig-java
-#   Depends: %N-shlibs (= %v-%r), system-java14, swig-shlibs (>= 1.3.20-2)
-#   Files: <<
-#     share/java/%N-swig-java
-#   <<
-#   JarFiles: subversion/bindings/swig/java/build/svn-api.jar
-#   Shlibs: <<
-#     %p/lib/libsvn_swig_java-1.0.dylib 1.0.0 %n (>= 1.0.4-11)
-#   <<
-#   DocFiles: COPYING HACKING INSTALL.swig README.swig
-#   Description: Subversion - Swig Java bindings (with SSL)
-#   DescDetail: <<
-#     Bindings to call svn functions from java 1.4.
-#   <<
-#   DescUsage: <<
-#     Please read the files in '%p/share/doc/svn-ssl-swig-java/'.
-#   <<
-# <<
 
 # Additional Info
 DescDetail: <<
@@ -321,41 +316,41 @@
 - The "svn-client-ssl" package installs a command-line client program for using
   subversion. Type 'fink describe svn-client-ssl' to get usage help.
   
-- The "svn-ssl" package installs a stand-alone server 'svnserve'.
+- The "%n" package installs a stand-alone server 'svnserve'.
   Install this package if you want to maintain a stand-alone server.
-  Type 'fink describe svn-ssl' to get usage help.
+  Type 'fink describe %n' to get usage help.
   
-- The "svn-ssl-doc" package installs html documentation, the pdf book, 
-  and notes from the developers of svn.
+- The "%n-doc" package installs html documentation, and notes from the 
+  developers of svn.
   
 - The "libapache2-ssl-mod-svn" package contains an apache2 module to enable
   serving a repository via web-dav. Type 'fink describe libapache2-ssl-mod-svn'
   to get usage help.
 
-- The "svn-ssl-shlibs" package contains the shared libraries for the other
+- The "%n-shlibs" package contains the shared libraries for the other
   packages. It is installed automatically by fink when needed.
 
-- The "svn-ssl-dev" package contains the development headers and libraries.
+- The "%n-dev" package contains the development headers and libraries.
   It is installed automatically by fink when needed.
   
-- The "svn-ssl-swig-pm581" package contains the swig perl bindings to call
-  svn from perl. Type 'fink describe svn-ssl-swig-pm581' to get usage help.
+- The "%n-swig-pm581" package contains the swig perl bindings to call
+  svn from perl. Type 'fink describe %n-swig-pm581' to get usage help.
  
-- The "svn-ssl-swig-py24" package contains the swig python bindings to call
-  svn from python. Type 'fink describe svn-ssl-swig-py24' to get usage help.
+- The "%n-swig-py24" package contains the swig python bindings to call
+  svn from python. Type 'fink describe %n-swig-py24' to get usage help.
  
-- The "svn-ssl-javahl" package contains the java bindings to call
-  svn from java. Type 'fink describe svn-ssl-javahl' to get usage help.
+- The "%n-javahl" package contains the java bindings to call
+  svn from java. Type 'fink describe %n-javahl' to get usage help.
  
 For More Information, check the main Subversion website below and read the book
 at <http://svnbook.red-bean.com/>. Also check out the documentation in
-%p/share/doc/svn-ssl. These files are in the "svn-ssl-doc" package.
+%p/share/doc/%n. These files are in the "%n-doc" package.
 <<
 DescUsage: <<
  Type 'svnserve --help', 'man svnserve', 'svnadmin help', or 'man svnadmin'
  for usage.
  Some tools (e.g. hook and back-up scripts) and examples are stored in 
- %p/share/svn-ssl/tools and %p/share/svn-ssl/contrib
+ %p/share/%n/tools and %p/share/%n/contrib
  
  You can start the Subversion server manually using a command similar to
  '/usr/bin/sudo -u www %p/bin/svnserve -d -r %p/var/svn' or you can 
@@ -376,35 +371,27 @@
  Subversion (svn) 1.2 or later uses Berkeley DB 4.3 (db43).
  If you are upgrading from an earlier version and you are using
  BDB repositories please read
+
+  http://subversion.tigris.org/faq.html#bdb43-upgrade
+
+ and
+
+  http://subversion.tigris.org/faq.html#dumpload
+
+ To install svnadmin binary linked to an older Berkeley DB version
+ please install the fink package 'svnadmin-dbXX', e.g. by typing
+
+   fink install svnadmin-db42
  
-   http://subversion.tigris.org/faq.html#bdb43-upgrade
- 
- To install an older svnadmin binary linked to db42 please install
- the fink package 'svn-ssl-1.1.4-11', e.g. by typing
+ and following the documentation of svnadmin-dbXX, e.g.:
  
-   fink install svn-ssl-1.1.4-11
+   fink info svnadmin-db42
 <<
 DescPackaging: <<
- Although this package has a BSD license, it is marked Restrictive since
- it depends on a Restrictive package (neon24-ssl).
-
- To run the tests over ra_dav apache2 must be running with (an older) 
- fink 'libapache2-ssl-mod-svn' already installed. You need to add the
- following to your '/sw/etc/apache2/httpd.conf' file:
- 
- <Location /repositories>
-  DAV svn
-  SVNParentPath 
/sw/src/fink.build/svn-ssl-%v-%r/subversion-%v/subversion/tests/clients/cmdline/repositories
- </Location>
- <Location /local_tmp/repos>
-  DAV svn
-  SVNPath 
/sw/src/fink.build/svn-ssl-%v-%r/subversion-%v/subversion/tests/clients/cmdline/local_tmp/repos
- </Location>
- 
- where %v and %r are replaced with the correct versions. Then do
- 'sudo /sw/sbin/apachectl graceful' to enable the mod_svn support.
+ To run the tests over ra_dav 'libapache2-ssl-mod-svn' needs to be already 
built.
+ The ra_dav tests only work with --build-as-nobody.  
 
- The "Replaces: svn-ssl (<= 1.1.1-11)" is needed since svnlook was 
+ The "Replaces: %n (<= 1.1.1-11)" is needed since svnlook was 
  (incorrectly) in the svn-client-ssl package < 1.1.1 and was 
  moved to the main package in 1.1.1-11.
 <<
@@ -419,14 +406,6 @@
 
 Many thanks to Peter O'Gorman for the help with the libtool patch.
 
-Prebinding cannot be enabled at this time since apr is not built 
-prebound.
-Once this is fixed, one could try to enable building two_level by doing:
-perl -pi.bak -e 's,-flat_namespace -undefined suppress,,g' configure
-If that fails, maybe try to add '-lfoo' to Makefile.in
-Or, if that fails too,  change '-undefined suppress -flat_namespace' 
-to '-undefined dynamic_lookup'
-
 Many thanks to Ben Reser for fixing the perl bindings. The patch is
 alredy included in the upstream development tree.
 
@@ -436,7 +415,8 @@
 Added 'export F77=no;' to configure in order not to fail if the 
 fort77 package is installed.
 
-Patched svn-config.in to remove no longer used values. NOTE: svn-config
-is not officially supported by the subversion team.
+svn-config is no longer available as of svn 1.4.
+
+Keychain disabled on Mac OS X 10.3
 <<
 Homepage: http://subversion.tigris.org/


-------------------------------------------------------------------------
Using Tomcat but need to do more? Need to support web services, security?
Get stuff done quickly with pre-integrated technology to make your job easier
Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642
_______________________________________________
Fink-commits mailing list
Fink-commits@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/fink-commits

Reply via email to